OGRE-Next: Ogre::GLSLESLinkProgram Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Ogre::GLSLESLinkProgram Class Reference

C++ encapsulation of GLSL ES Program Object. More...

`#include <OgreGLSLESLinkProgram.h>`

Inheritance diagram for Ogre::GLSLESLinkProgram:
[legend]

## Public Member Functions
| GLSLESLinkProgram (GLSLESShader *vertexProgram, GLSLESShader *fragmentProgram)
| Constructor should only be used by GLSLESLinkProgramManager.
virtual | ~GLSLESLinkProgram ()
void | activate ()
| Makes a program object active by making sure it is linked and then putting it in use.
void | updatePassIterationUniforms (GpuProgramParametersSharedPtr params)
| Updates program object uniforms using data from pass iteration GpuProgramParameters.
void | updateUniformBlocks (GpuProgramParametersSharedPtr params, uint16 mask, GpuProgramType fromProgType)
| Updates program object uniform blocks using data from GpuProgramParameters.
void | updateUniforms (GpuProgramParametersSharedPtr params, uint16 mask, GpuProgramType fromProgType)
| Updates program object uniforms using data from GpuProgramParameters.

## Detailed Description

C++ encapsulation of GLSL ES Program Object.

## Constructor & Destructor Documentation

## ◆ GLSLESLinkProgram()

Ogre::GLSLESLinkProgram::GLSLESLinkProgram | ( | GLSLESShader * | vertexProgram,
|  | GLSLESShader * | fragmentProgram )

Constructor should only be used by GLSLESLinkProgramManager.

## ◆ ~GLSLESLinkProgram()

virtual Ogre::GLSLESLinkProgram::~GLSLESLinkProgram | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ activate()

void Ogre::GLSLESLinkProgram::activate | ( |  | ) |

Makes a program object active by making sure it is linked and then putting it in use.

## ◆ updatePassIterationUniforms()

void Ogre::GLSLESLinkProgram::updatePassIterationUniforms | ( | GpuProgramParametersSharedPtr | params | ) |

Updates program object uniforms using data from pass iteration GpuProgramParameters.

normally called by GLSLESShader::bindMultiPassParameters() just before multi pass rendering occurs.

## ◆ updateUniformBlocks()

void Ogre::GLSLESLinkProgram::updateUniformBlocks | ( | GpuProgramParametersSharedPtr | params,
|  | uint16 | mask,
|  | GpuProgramType | fromProgType )

Updates program object uniform blocks using data from GpuProgramParameters.

normally called by GLSLESShader::bindParameters() just before rendering occurs.

## ◆ updateUniforms()

void Ogre::GLSLESLinkProgram::updateUniforms | ( | GpuProgramParametersSharedPtr | params,
|  | uint16 | mask,
|  | GpuProgramType | fromProgType )

Updates program object uniforms using data from GpuProgramParameters.

normally called by GLSLESShader::bindParameters() just before rendering occurs.

The documentation for this class was generated from the following file:

- OgreGLSLESLinkProgram.h